Subject: Petzold Example
From: [email-masked] (GBradfor)

18 Nov 1997 11:23:46 -0800
Message-ID: <[email-masked]>
To: [email-masked]

     Yes, I confess!  I am a newbie Windows programmer!
     
     As others posting to this list have confessed, I am attempting to get 
     the very first example in that classic, "Programming Windows 95" to 
     run using gcc.  Unfortunately, like the others, I am running into 
     problems even after reading the previous postings (I agree with 
     another poster:  a search engine would be darn handy).
     
     I have copied the program and constructed a make file that results in 
     the following two-step compile:
     
        gcc -c -DSTRICT -o hellowin.obj hellowin.c
        ld -o hellowin.exe hellowin.obj --subsystem windows -luser32 /
                -lgdi32 -L$(GCC_WIN_LIB)
     
     After copying mmsystem.h down from Microsoft's web, Everything 
     compiled and linked.  I do get this warning, however:
     
        ld: warning: cannot find entry symbol WinMainCRTStartup; defaulting
                to 00401000
     
     Using the "-e mainCRTStartup" as suggested in another post doesn't 
     help; the linker can't find that symbol, either.
     
     When I try to run the resulting executable, I get the following error 
     message:
     
        A required .DLL file, j.DLL, was not found.
     
     Question 1:  What entry point SHOULD I be linking to, and where is it?
     
     Question 2:  What is j.DLL, and where do I find it?
     
     Thanks in advance for your help.
     
     /s/
     Pat Bradford
     
        Respond to either:
                [email-masked]
                        AND/OR
                [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".